import java.sql.*;

public class ViewMD
{
	public static void main(String args[]) throws Exception {
		Class.forName("org.postgresql.Driver");
		Connection conn = DriverManager.getConnection("jdbc:postgresql://localhost:5844/jurka","jurka","");

		Statement stmt = conn.createStatement();
		stmt.execute("CREATE TEMP TABLE mytemptable (a int, b text)");
		stmt.execute("CREATE TEMP VIEW mytempview AS SELECT a, b, 3 as c FROM mytemptable");
		stmt.close();

		DatabaseMetaData dbmd = conn.getMetaData();
		ResultSet rs = dbmd.getColumns("%", "%", "mytempview", "%");
		printResultSet(rs);
		conn.close();
	}

	public static void printResultSet(ResultSet rs) throws SQLException {
		ResultSetMetaData rsmd = rs.getMetaData();
		for (int i = 1; i <= rsmd.getColumnCount(); i++)
		{
			if (i != 1)
			{
				System.out.print(", ");
			}
			System.out.print(rsmd.getColumnName(i));
		}
		System.out.println();
		while (rs.next())
		{
			for (int i = 1; i <= rsmd.getColumnCount(); i++)
			{
				if (i != 1)
				{
					System.out.print(", ");
				}
				System.out.print(rs.getString(i));
			}
			System.out.println();
		}
	}
}
